/* версия для ПК */
@media (min-width: 1172px){
    .body{
    width: 100%;
    height: 100%;
    font-family: "Agency FB";
    margin: 0em;
    }
    .h1{
        color: var(--color-input-blue);
        font-weight: bold;
        margin-top: 0em;
    }
    .div_content{
        width: 20%;
        height: 30%;
        margin-top: 10%;
        margin-left: 35%;
        padding: 2em;
        border-radius: 2em;
        -moz-border-radius: 2em; /*закругляем углы для Mozilla*/
        -webkit-border-radius: 2em; /*закругляем углы для Chrome, Safari*/
        border-style: none;
        text-align: center;
        background-color: var(--color-background-div);
        box-shadow: 0 0 1em rgba(0,0,0,0.4);
    }
    .input_txt{
        background-color: var(--color-input-blue);
        border-style: none;
        border-radius: 1em;
        -moz-border-radius: 1em; /*закругляем углы для Mozilla*/
        -webkit-border-radius: 1em; /*закругляем углы для Chrome, Safari*/
        height: 3.5em;
        width: 100%;
        text-align: center;
        color: white;
        outline: none;
        margin-top: 0.5em;
        margin-bottom: 0.5em;
        box-shadow: 0 0 1em rgba(0,0,0,0.2);
        font-size: 15px;
        padding: 0;
    }
    input::-webkit-input-placeholder{
        color: var(--color-input-placeholder);
    }
    input::-moz-placeholder{
        color: var(--color-input-placeholder);
    }

    .input_button{
        background-color: rgba(78, 145, 18, 0.9);
        height: 3.5em;
        width: 10em;
        box-shadow: 0 0 1em rgba(0,0,0,0.4);
        border-style: none;
        border-radius: 1em;
        -moz-border-radius: 1em; /*закругляем углы для Mozilla*/
        -webkit-border-radius: 1em; /*закругляем углы для Chrome, Safari*/
        margin-top: 1em;
        margin-bottom: 1em;
        color: white;
    }
    .input_button:active{
        background-color: var(--colo-input-button-active);
    }
    .div_input{
        display: inline-block;
        width: 100%;
    }
    .error{
        box-shadow: 0 0 1em var(--color-text-error-box-shadow);
        border-radius: 1em;
        -moz-border-radius: 1em; /*закругляем углы для Mozilla*/
        -webkit-border-radius: 1em; /*закругляем углы для Chrome, Safari*/
        font-size: 15px;
        color: var(--color-text-error);
    }
}
/* версия для мобильных устройств */
@media (max-width: 1171px){
     .body{
        width: 100%;
        height: 100%;
        font-family: "Agency FB";
        margin: 0em;
    }
    .h1{
        color: var(--color-input-blue);
        font-weight: bold;
        margin-top: 0em;
        font-size: 4em;
    }
    .div_content{
        width: 60%;
        height: 30%;
        margin-top: 10%;
        margin-left: 17%;
        padding: 2em;
        border-radius: 2em;
        -moz-border-radius: 2em; /*закругляем углы для Mozilla*/
        -webkit-border-radius: 2em; /*закругляем углы для Chrome, Safari*/
        border-style: none;
        text-align: center;
        background-color: var(--color-background-div);
        box-shadow: 0 0 1em rgba(0,0,0,0.4);
    }
    .input_txt{
        background-color: var(--color-input-blue);
        border-style: none;
        border-radius: 1em;
        -moz-border-radius: 1em; /*закругляем углы для Mozilla*/
        -webkit-border-radius: 1em; /*закругляем углы для Chrome, Safari*/
        height: 4.5em;
        width: 100%;
        text-align: center;
        color: white;
        outline: none;
        margin-top: 0.5em;
        margin-bottom: 0.5em;
        box-shadow: 0 0 1em rgba(0,0,0,0.2);
        font-size: 25px;
        padding: 0;
    }
    input::-webkit-input-placeholder{
        color: var(--color-input-placeholder);
    }
    input::-moz-placeholder{
        color: var(--color-input-placeholder);
    }

    .input_button{
        background-color: rgba(78, 145, 18, 0.9);
        height: 4.5em;
        width: 15em;
        box-shadow: 0 0 1em rgba(0,0,0,0.4);
        border-style: none;
        border-radius: 1em;
        -moz-border-radius: 1em; /*закругляем углы для Mozilla*/
        -webkit-border-radius: 1em; /*закругляем углы для Chrome, Safari*/
        margin-top: 1em;
        margin-bottom: 1em;
        color: white;
        font-size: 20px;
    }
    .input_button:active{
        background-color: var(--colo-input-button-active);
    }
    .div_input{
        display: inline-block;
        width: 80%;
    }
    .error{
        box-shadow: 0 0 1em var(--color-text-error-box-shadow);
        border-radius: 1em;
        -moz-border-radius: 1em; /*закругляем углы для Mozilla*/
        -webkit-border-radius: 1em; /*закругляем углы для Chrome, Safari*/
        font-size: 15px;
        color: var(--color-text-error);
    }
}